## pgn-extract 16.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Make file for the pgn-extract program.
 #    Program: pgn-extract: a Portable Game Notation (PGN) extractor.
-#    Copyright (C) 1994-2001 David Barnes
+#    Copyright (C) 1994-2005 David Barnes
 #    This program is free software; you can redistribute it and/or modify
 #    it under the terms of the GNU General Public License as published by
 #    the Free Software Foundation; either version 1, or (at your option)
@@ -15,8 +15,8 @@
 #    along with this program; if not, write to the Free Software
 #    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 #
-#    David Barnes may be contacted as D.J.Barnes@ukc.ac.uk
-#    http://www.cs.ukc.ac.uk/people/staff/djb/
+#    David Barnes may be contacted as D.J.Barnes@kent.ac.uk
+#    http://www.cs.kent.ac.uk/people/staff/djb/
 
 OBJS=grammar.o lex.o map.o decode.o moves.o lists.o apply.o output.o eco.o\
 	lines.o end.o main.o hashing.o argsfile.o mymalloc.o
@@ -30,7 +30,10 @@
 # Linux users might need to add -D__linux__ to these in order to
 # use strcasecmp instead of strcmpi (cf output.c)
 
-CFLAGS=-c -pedantic -Wall -Wshadow -Wformat -Wpointer-arith \
+# Mac OS X users might need to add  -D__unix__ to CFLAGS
+# and use CC=cc
+
+CFLAGS+=-c -pedantic -Wall -Wshadow -Wformat -Wpointer-arith \
 	-Wstrict-prototypes -Wmissing-prototypes -Wwrite-strings $(DEBUGINFO)\
 	-I/usr/local/lib/ansi-include
 CC=gcc
