## pgn-extract 16.7

=== Makefile ===
--- 
+++ 
@@ -112,6 +112,6 @@
 	$(CC) $(CFLAGS) moves.c
 
 output.o :  output.c output.h taglist.h bool.h typedef.h defs.h lex.h grammar.h\
-	    apply.h
+	    apply.h mymalloc.h
 	$(CC) $(CFLAGS) output.c
