=== debian/changelog ===
pgn-extract (16.7-2) unstable; urgency=low

  * debian/copyright:
    - Update to new DEP5 revision, some fields have been renamed
    - Remove the complete GPL-1 text and refer to
    /usr/share/common-licenses/GPL-1 instead.
  * debian/control:
    - Bump to Standards-Version 3.9.2 (No changes required)
    - Update my email address

 -- Vincent Legout <vlegout@debian.org>  Mon, 07 Nov 2011 20:45:03 +0100

pgn-extract (16.7-1) unstable; urgency=low

  * New upstream release
  * New maintainer (Closes:# 561252)
  * debian/compat: Bumped to 7
  * debian/control:
    - Add myself in Maintainer
    - Add Homepage field
    - Bump Standards-Version to 3.8.3
    - Add ${misc:Depends}
  * debian/copyright: Updated to DEP-5
  * debian/doc-base: Update Section
  * debian/dirs: Removed
  * debian/docs: Add help.html, Remove README
  * debian/lintian: Removed
  * debian/pgn-extract.man: Remove reference to README, Fix lintian warnings
  * debian/rules: Rewritten using dh
    - Add pgn-extract.install, pgn-extract.manpages
  * debian/watch: Added
  * Switch to 3.0 (quilt) source format

 -- Vincent Legout <vincent@legout.info>  Mon, 04 Jan 2010 21:28:07 +0100

pgn-extract (16.0-1) unstable; urgency=low

  * New upstream version: a few bug fixes and the - Welalg flag.
  * Updated manual page.
  * Updated standards version.

 -- Peter van Rossum <petervr@debian.org>  Mon, 11 Sep 2006 07:53:11 +0200

pgn-extract (15.0-4) unstable; urgency=low

  * Fixed short description.

 -- Peter van Rossum <petervr@debian.org>  Tue, 18 Jan 2005 19:50:45 +0100

pgn-extract (15.0-3) unstable; urgency=low

  * Fixed compiler warnings.
  * Updated policy to 3.6.1.
  * Rephrased copyright file and referred to new FSF address.

 -- Peter van Rossum <petervr@debian.org>  Wed, 24 Dec 2003 20:54:45 -0800

pgn-extract (15.0-2) unstable; urgency=low

  * Registered documentation with the documentation system.
  * Removed the (debhelper) /usr/doc symlink handling.

 -- Peter van Rossum <petervr@debian.org>  Thu, 17 Apr 2003 13:08:27 -0600

pgn-extract (15.0-1) unstable; urgency=low

  * New upstream version (finally uploaded).

 -- Peter van Rossum <petervr@debian.org>  Tue, 23 Oct 2001 12:21:40 -0700

pgn-extract (13.8-2) unstable; urgency=low

  * Changed section to games.
  * Fixed default location of eco-file. (Closes: #93282)

 -- Peter van Rossum <petervr@debian.org>  Mon,  9 Apr 2001 21:54:26 +0200

pgn-extract (13.8-1) unstable; urgency=low

  * New upstream version.
  * Closing the ITP bug against wnpp. (Closes: #90978)

 -- Peter van Rossum <petervr@debian.org>  Sun, 25 Mar 2001 14:14:12 +0200

pgn-extract (13.6-1) unstable; urgency=low

  * Initial Release.

 -- Peter van Rossum <petervr@sci.kun.nl>  Sat, 10 Mar 2001 20:13:16 +0100
