## pgn-extract 17.13

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Make file for the pgn-extract program.
 #    Program: pgn-extract: a Portable Game Notation (PGN) extractor.
-#    Copyright (C) 1994-2005 David Barnes
+#    Copyright (C) 1994-2013 David Barnes
 #    This program is free software; you can redistribute it and/or modify
 #    it under the terms of the GNU General Public License as published by
 #    the Free Software Foundation; either version 1, or (at your option)
@@ -19,7 +19,7 @@
 #    http://www.cs.kent.ac.uk/people/staff/djb/
 
 OBJS=grammar.o lex.o map.o decode.o moves.o lists.o apply.o output.o eco.o\
-	lines.o end.o main.o hashing.o argsfile.o mymalloc.o
+	lines.o end.o main.o hashing.o argsfile.o mymalloc.o fenmatcher.o
 DEBUGINFO=-g
 
 # These flags are particularly severe on checking warnings.
@@ -30,7 +30,7 @@
 # Linux users might need to add -D__linux__ to these in order to
 # use strcasecmp instead of strcmpi (cf output.c)
 
-# Mac OS X users might need to add  -D__unix__ to CFLAGS
+# Mac OS X users might need to add -D__unix__ to CFLAGS
 # and use CC=cc
 
 CFLAGS+=-c -pedantic -Wall -Wshadow -Wformat -Wpointer-arith \
@@ -59,12 +59,12 @@
 	$(CC) $(CFLAGS) mymalloc.c
 
 apply.o :  apply.c defs.h lex.h grammar.h typedef.h map.h bool.h apply.h taglist.h\
-	   eco.h decode.h moves.h hashing.h mymalloc.h output.h
+	   eco.h decode.h moves.h hashing.h mymalloc.h output.h fenmatcher.h
 	$(CC) $(CFLAGS) apply.c
 
 argsfile.o : argsfile.c argsfile.h bool.h defs.h typedef.h lines.h \
 		taglist.h tokens.h lex.h moves.h eco.h apply.h output.h \
-		lists.h
+		lists.h mymalloc.h
 	$(CC) $(CFLAGS) argsfile.c
 
 decode.o : decode.c defs.h typedef.h taglist.h lex.h bool.h decode.h lists.h \
@@ -75,7 +75,8 @@
            mymalloc.h
 	$(CC) $(CFLAGS) eco.c
 
-end.o : end.c end.h bool.h defs.h typedef.h lines.h tokens.h lex.h mymalloc.h
+end.o : end.c end.h bool.h defs.h typedef.h lines.h tokens.h lex.h mymalloc.h \
+        apply.h grammar.h
 	$(CC) $(CFLAGS) end.c
 
 grammar.o : grammar.c bool.h defs.h typedef.h lex.h taglist.h map.h lists.h\
@@ -108,10 +109,14 @@
 	$(CC) $(CFLAGS) map.c
 
 moves.o :  moves.c defs.h typedef.h lex.h bool.h map.h lists.h moves.h apply.h\
-	   lines.h taglist.h mymalloc.h
+	   lines.h taglist.h mymalloc.h fenmatcher.h
 	$(CC) $(CFLAGS) moves.c
+
+fenmatcher.o : fenmatcher.c apply.h bool.h defs.h fenmatcher.h mymalloc.h typedef.h
+	$(CC) $(CFLAGS) fenmatcher.c
 
 output.o :  output.c output.h taglist.h bool.h typedef.h defs.h lex.h grammar.h\
 	    apply.h mymalloc.h
 	$(CC) $(CFLAGS) output.c
 
+
