=== debian/changelog ===
pgn-extract (17.13-1) unstable; urgency=low

  * New upstream version
  * debian/rules: Add get-orig-source target
  * Set debhelper compatibility to 9
  * Standards-Version 3.9.4, no changes needed
  * Add makefile.patch to enable hardening flags
  * debian/copyright:
    - Use copyright format 1.0
    - Update copyright years
    - Add a paragraph for style.css
  * debian/pgn-extract.man: Updated, do not list all options, point to
    help.html instead.

 -- Vincent Legout <vlegout@debian.org>  Sun, 19 May 2013 20:06:54 +0200
