=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

get-orig-source:
	wget ftp://ftp.cs.kent.ac.uk/pub/djb/pgn-extract/pgn-extract-17-13.tgz
	tar zxvf pgn-extract-17-13.tgz
	mv pgn-extract pgn-extract-17.13
	tar czf pgn-extract_17.13.orig.tar.gz pgn-extract-17.13
	rm -rf pgn-extract-17.13 pgn-extract-17-13.tgz
