## pgn-extract 17.14

=== Makefile ===
--- 
+++ 
@@ -35,7 +35,8 @@
 
 CFLAGS+=-c -pedantic -Wall -Wshadow -Wformat -Wpointer-arith \
 	-Wstrict-prototypes -Wmissing-prototypes -Wwrite-strings $(DEBUGINFO)\
-	-I/usr/local/lib/ansi-include
+	-I/usr/local/lib/ansi-include \
+	-O3
 CC=gcc
 
 # AIX 3.2 Users might like to use these alternatives for CFLAGS and CC.
