=== debian/changelog ===
pgn-extract (17.14-1) unstable; urgency=low

  * New upstream release
  * Update get-orig-source target
  * debian/patches/makefile.patch: Do not build with -03 by default and build
    using $(CPPFLAGS)

 -- Vincent Legout <vlegout@debian.org>  Sun, 29 Sep 2013 14:07:42 +0200
