=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

get-orig-source:
	wget ftp://ftp.cs.kent.ac.uk/pub/djb/pgn-extract/pgn-extract-17-14.tgz
	tar zxvf pgn-extract-17-14.tgz
	mv pgn-extract pgn-extract-17.14
	tar czf pgn-extract_17.14.orig.tar.gz pgn-extract-17.14
	rm -rf pgn-extract-17.14 pgn-extract-17-14.tgz
