## pgn-extract 17.21

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Make file for the pgn-extract program.
 #    Program: pgn-extract: a Portable Game Notation (PGN) extractor.
-#    Copyright (C) 1994-2013 David Barnes
+#    Copyright (C) 1994-2015 David Barnes
 #    This program is free software; you can redistribute it and/or modify
 #    it under the terms of the GNU General Public License as published by
 #    the Free Software Foundation; either version 1, or (at your option)
@@ -19,7 +19,8 @@
 #    http://www.cs.kent.ac.uk/people/staff/djb/
 
 OBJS=grammar.o lex.o map.o decode.o moves.o lists.o apply.o output.o eco.o\
-	lines.o end.o main.o hashing.o argsfile.o mymalloc.o fenmatcher.o
+	lines.o end.o main.o hashing.o argsfile.o mymalloc.o fenmatcher.o\
+	taglines.o
 DEBUGINFO=-g
 
 # These flags are particularly severe on checking warnings.
@@ -31,10 +32,11 @@
 # use strcasecmp instead of strcmpi (cf output.c)
 
 # Mac OS X users might need to add -D__unix__ to CFLAGS
-# and use CC=cc
+# and use CC=cc or CC=gcc
 
 CFLAGS+=-c -pedantic -Wall -Wshadow -Wformat -Wpointer-arith \
-	-Wstrict-prototypes -Wmissing-prototypes -Wwrite-strings $(DEBUGINFO)\
+	-Wstrict-prototypes -Wmissing-prototypes -Wwrite-strings \
+	-Wsign-compare $(DEBUGINFO)\
 	-I/usr/local/lib/ansi-include \
 	-O3
 CC=gcc
@@ -43,9 +45,6 @@
 # Thanks to Erol Basturk for providing them.
 AIX_CFLAGS=-c -D_POSIX_SOURCE -D_XOPEN_SOURCE -D_ALL_SOURCE
 AIX_CC=xlc
-
-# Suppress auto extraction.
-.SCCS_GET:
 
 pgn-extract : $(OBJS)
 	$(CC) $(DEBUGINFO) $(OBJS) -o pgn-extract
@@ -64,7 +63,7 @@
 	$(CC) $(CFLAGS) apply.c
 
 argsfile.o : argsfile.c argsfile.h bool.h defs.h typedef.h lines.h \
-		taglist.h tokens.h lex.h moves.h eco.h apply.h output.h \
+		taglist.h tokens.h lex.h taglines.h moves.h eco.h apply.h output.h \
 		lists.h mymalloc.h
 	$(CC) $(CFLAGS) argsfile.c
 
@@ -120,4 +119,7 @@
 	    apply.h mymalloc.h
 	$(CC) $(CFLAGS) output.c
 
+taglines.o : taglines.c bool.h defs.h typedef.h tokens.h taglist.h lex.h lines.h \
+             lists.h moves.h output.h taglines.h
+	$(CC) $(CFLAGS) taglines.c
