=== test/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile to run a battery of tests of the basic functionality of pgn-extract.
-# Copyright (C) David J. Barnes, 2013
+# Copyright (C) David J. Barnes, 2013-2015
 #
 # Each test is run and then, where relevant, a comparison is made between
 # the output files generated in the current directory and the 'oracle'
@@ -30,7 +30,8 @@
      test-VV test-linelength test-WW test-x test-ZZ test-z test-hash \
      test-evaluation test-fencomments test-markmatches test-nochecks \
      test-nomovenumbers test-noresults test-notags test-plylimit \
-     test-stalemate test-long-line
+     test-stalemate test-long-line test-totalplycount test-addhashcode \
+     test-selectonly
 
 # BEWARE: This removes all PGN files in the current directory.
 # The required test PGN files are assumed to be in $(INPUT).
@@ -67,7 +68,7 @@
 test-7:
 	echo "test-7:"
 	$(PGN_EXTRACT) -7 -otest-7-out.pgn $(INPUT)/test-7.pgn
-	-cmp test-7-out.pgn $(OUTPUT)/test-7-out.pgn
+	cmp test-7-out.pgn $(OUTPUT)/test-7-out.pgn
 
 # -a / --append
 #     + Input file containing games in any accepted format.
@@ -80,11 +81,11 @@
 	echo "test-append:"
 	$(PGN_EXTRACT) --output test-a-out.pgn $(INPUT)/test-a.txt
 	$(PGN_EXTRACT) -atest-a-out.pgn $(INPUT)/test-a.txt
-	-cmp test-a-out.pgn $(OUTPUT)/test-a-out.pgn
+	cmp test-a-out.pgn $(OUTPUT)/test-a-out.pgn
 
 	$(PGN_EXTRACT) --output test-a-out.pgn $(INPUT)/test-a.txt
 	$(PGN_EXTRACT) --append test-a-out.pgn $(INPUT)/test-a.txt
-	-cmp test-a-out.pgn $(OUTPUT)/test-a-out.pgn
+	cmp test-a-out.pgn $(OUTPUT)/test-a-out.pgn
 
 # -A
 #     + Input file containing games and a file of arguments.
@@ -95,8 +96,8 @@
 test-AA:
 	echo "test-A:"
 	$(PGN_EXTRACT) -A$(INPUT)/argslist.txt
-	-cmp test-AA-dupes.pgn $(OUTPUT)/test-AA-dupes.pgn
-	-cmp test-AA-unique.pgn $(OUTPUT)/test-AA-unique.pgn
+	cmp test-AA-dupes.pgn $(OUTPUT)/test-AA-dupes.pgn
+	cmp test-AA-unique.pgn $(OUTPUT)/test-AA-unique.pgn
 
 # -b
 #     + Input file containing games of different length.
@@ -110,19 +111,19 @@
 test-bl45:
 	echo "test-b:"
 	$(PGN_EXTRACT) -bl45 -s -otest-bl45-out.pgn $(INPUT)/fischer.pgn
-	-cmp test-bl45-out.pgn $(OUTPUT)/test-bl45-out.pgn
+	cmp test-bl45-out.pgn $(OUTPUT)/test-bl45-out.pgn
 
 #     - Expected output: 45 moves or less: test-bu45-out.pgn
 test-bu45:
 	echo "test-b:"
 	$(PGN_EXTRACT) -bu45 -s -otest-bu45-out.pgn $(INPUT)/fischer.pgn
-	-cmp test-bu45-out.pgn $(OUTPUT)/test-bu45-out.pgn
+	cmp test-bu45-out.pgn $(OUTPUT)/test-bu45-out.pgn
 
 #     - Expected output: exactly 30 moves: test-b30-out.pgn
 test-bu30:
 	echo "test-b:"
 	$(PGN_EXTRACT) -b30 -s -otest-b30-out.pgn $(INPUT)/fischer.pgn
-	-cmp test-b30-out.pgn $(OUTPUT)/test-b30-out.pgn
+	cmp test-b30-out.pgn $(OUTPUT)/test-b30-out.pgn
 
 # 
 # -c / --checkfile
@@ -134,9 +135,9 @@
 test-checkfile:
 	echo "test-checkfile:"
 	$(PGN_EXTRACT) -c$(INPUT)/petrosian.pgn -D -TpPetrosian -otest-c-out.pgn $(INPUT)/fischer.pgn
-	-cmp test-c-out.pgn $(OUTPUT)/test-c-out.pgn
+	cmp test-c-out.pgn $(OUTPUT)/test-c-out.pgn
 	$(PGN_EXTRACT) -c$(INPUT)/clist.txt -D -TpPetrosian -otest-c-out.pgn $(INPUT)/fischer.pgn
-	-cmp test-c-out.pgn $(OUTPUT)/test-c-out.pgn
+	cmp test-c-out.pgn $(OUTPUT)/test-c-out.pgn
 
 # -C / --nocomments
 #     + Input file containing games with comments
@@ -146,7 +147,7 @@
 test-nocomments:
 	echo "test-nocomments:"
 	$(PGN_EXTRACT) -C -otest-CC-out.pgn $(INPUT)/test-C.pgn
-	-cmp test-CC-out.pgn $(OUTPUT)/test-CC-out.pgn
+	cmp test-CC-out.pgn $(OUTPUT)/test-CC-out.pgn
 
 # -d / --duplicates
 #     + Input file containing games with duplicates and non-duplicates.
@@ -157,8 +158,8 @@
 test-duplicates:
 	echo "test-duplicates:"
 	$(PGN_EXTRACT) -dtest-d-dupes.pgn -s -otest-d-unique.pgn $(INPUT)/fischer.pgn $(INPUT)/petrosian.pgn
-	-cmp test-d-dupes.pgn $(OUTPUT)/test-d-dupes.pgn
-	-cmp test-d-unique.pgn $(OUTPUT)/test-d-unique.pgn
+	cmp test-d-dupes.pgn $(OUTPUT)/test-d-dupes.pgn
+	cmp test-d-unique.pgn $(OUTPUT)/test-d-unique.pgn
 
 # -D / --noduplicates
 #     + Input file containing games with duplicates and non-duplicates.
@@ -169,9 +170,9 @@
 test-noduplicates:
 	echo "test-noduplicates:"
 	$(PGN_EXTRACT) -D -s -otest-DD-unique.pgn $(INPUT)/fischer.pgn $(INPUT)/petrosian.pgn
-	-cmp test-DD-unique.pgn $(OUTPUT)/test-DD-unique.pgn
+	cmp test-DD-unique.pgn $(OUTPUT)/test-DD-unique.pgn
 	$(PGN_EXTRACT) --noduplicates -s -otest-DD-unique.pgn $(INPUT)/fischer.pgn $(INPUT)/petrosian.pgn
-	-cmp test-DD-unique.pgn $(OUTPUT)/test-DD-unique.pgn
+	cmp test-DD-unique.pgn $(OUTPUT)/test-DD-unique.pgn
 
 # -e
 #     + Input file containing games without ECO classifications.
@@ -181,7 +182,7 @@
 test-e:
 	echo "test-e:"
 	$(PGN_EXTRACT) -e$(ECO_FILE) -otest-e-out.pgn $(INPUT)/test-e.pgn
-	-cmp test-e-out.pgn $(OUTPUT)/test-e-out.pgn
+	cmp test-e-out.pgn $(OUTPUT)/test-e-out.pgn
 
 # -E
 #     + Input file containing games.
@@ -192,9 +193,9 @@
 test-EE:
 	echo "test-E:"
 	$(PGN_EXTRACT) -e$(ECO_FILE) -E1 $(INPUT)/test-E.pgn
-	-cmp A.pgn $(OUTPUT)/A.pgn
-	-cmp B.pgn $(OUTPUT)/B.pgn
-	-cmp E.pgn $(OUTPUT)/E.pgn
+	cmp A.pgn $(OUTPUT)/A.pgn
+	cmp B.pgn $(OUTPUT)/B.pgn
+	cmp E.pgn $(OUTPUT)/E.pgn
 
 # -f
 #     + Input files containing games.
@@ -204,7 +205,7 @@
 test-f:
 	echo "test-f:"
 	$(PGN_EXTRACT) -f$(INPUT)/files.txt -otest-f-out.pgn
-	-cmp test-f-out.pgn $(OUTPUT)/test-f-out.pgn
+	cmp test-f-out.pgn $(OUTPUT)/test-f-out.pgn
 
 # -F:
 #     + Input file containing games without a trailing FEN comment.
@@ -215,7 +216,7 @@
 test-FF:
 	echo "test-F:"
 	$(PGN_EXTRACT) -F -otest-FF-out.pgn $(INPUT)/test-F.pgn
-	-cmp test-FF-out.pgn $(OUTPUT)/test-FF-out.pgn
+	cmp test-FF-out.pgn $(OUTPUT)/test-FF-out.pgn
 
 # 
 # -h / -? / --help
@@ -238,8 +239,8 @@
 test-l:
 	echo "test-l:"
 	$(PGN_EXTRACT) -llog.txt -otest-l-out.pgn $(INPUT)/fischer.pgn
-	-cmp log.txt $(OUTPUT)/log.txt
-	-cmp test-l-out.pgn $(OUTPUT)/test-l-out.pgn
+	cmp log.txt $(OUTPUT)/log.txt
+	cmp test-l-out.pgn $(OUTPUT)/test-l-out.pgn
 
 # -L
 #     + Input file containing games.
@@ -251,7 +252,7 @@
 	echo "test-L:"
 	$(PGN_EXTRACT) -lLLog.txt -r $(INPUT)/test-L1.pgn
 	$(PGN_EXTRACT) -LLLog.txt -r $(INPUT)/test-L2.pgn
-	-cmp LLog.txt $(OUTPUT)/LLog.txt
+	cmp LLog.txt $(OUTPUT)/LLog.txt
 
 # -M / --checkmate
 #     + Input file containing games.
@@ -261,7 +262,7 @@
 test-checkmate:
 	echo "test-checkmate:"
 	$(PGN_EXTRACT) --checkmate -otest-checkmate-out.pgn $(INPUT)/test-checkmate.pgn
-	-cmp test-checkmate-out.pgn $(OUTPUT)/test-checkmate-out.pgn
+	cmp test-checkmate-out.pgn $(OUTPUT)/test-checkmate-out.pgn
 
 # -n
 #     + Input file containing games.
@@ -272,8 +273,8 @@
 test-n:
 	echo "test-n:"
 	$(PGN_EXTRACT) -TpFischer -otest-n-matched.pgn -ntest-n-unmatched.pgn $(INPUT)/petrosian.pgn
-	-cmp test-n-matched.pgn $(OUTPUT)/test-n-matched.pgn
-	-cmp test-n-unmatched.pgn $(OUTPUT)/test-n-unmatched.pgn
+	cmp test-n-matched.pgn $(OUTPUT)/test-n-matched.pgn
+	cmp test-n-unmatched.pgn $(OUTPUT)/test-n-unmatched.pgn
 
 # -N / --nonags
 #     + Input file containing games with NAGs.
@@ -283,7 +284,7 @@
 test-NN:
 	echo "test-N:"
 	$(PGN_EXTRACT) -N -otest-NN-out.pgn $(INPUT)/test-N.pgn
-	-cmp test-NN-out.pgn $(OUTPUT)/test-NN-out.pgn
+	cmp test-NN-out.pgn $(OUTPUT)/test-NN-out.pgn
 
 # 
 # -o / --output
@@ -294,9 +295,9 @@
 test-output:
 	echo "test-output:"
 	$(PGN_EXTRACT) -otest-o-out.pgn $(INPUT)/test-o.txt
-	-cmp test-o-out.pgn $(OUTPUT)/test-o-out.pgn
+	cmp test-o-out.pgn $(OUTPUT)/test-o-out.pgn
 	$(PGN_EXTRACT) --output test-o-out.pgn $(INPUT)/test-o.txt
-	-cmp test-o-out.pgn $(OUTPUT)/test-o-out.pgn
+	cmp test-o-out.pgn $(OUTPUT)/test-o-out.pgn
 
 # -P
 #     + Input file containing games with different sequences for the same
@@ -308,7 +309,7 @@
 test-PP:
 	echo "test-P:"
 	$(PGN_EXTRACT) -P -v$(INPUT)/Pvars.txt -otest-PP-out.pgn $(INPUT)/test-P.pgn
-	-cmp test-PP-out.pgn $(OUTPUT)/test-PP-out.pgn
+	cmp test-PP-out.pgn $(OUTPUT)/test-PP-out.pgn
 
 # -r
 #     + Input file containing games in any accepted format.
@@ -319,7 +320,6 @@
 test-r:
 	echo "test-r:"
 	$(PGN_EXTRACT) -r -ltest-r-log.txt $(INPUT)/test-r.txt
-	-cmp test-r-log.txt $(OUTPUT)/test-r-log.txt
+	cmp test-r-log.txt $(OUTPUT)/test-r-log.txt
 
 # -R
-#     + Input file containing games.
