=== debian/changelog ===
pgn-extract (17.21-1) unstable; urgency=medium

  * New upstream release
    - Update get-orig-source target
    - Refresh makefile.patch
  * debian/copyright: Update copyright years
  * Standards-Version 3.9.6
  * Install index.html

 -- Vincent Legout <vlegout@debian.org>  Thu, 28 May 2015 16:08:02 -0400
