=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

get-orig-source:
	wget ftp://ftp.cs.kent.ac.uk/pub/djb/pgn-extract/pgn-extract-17-21.tgz
	tar zxvf pgn-extract-17-21.tgz
	mv pgn-extract pgn-extract-17.21
	tar czf pgn-extract_17.21.orig.tar.gz pgn-extract-17.21
	rm -rf pgn-extract-17.21 pgn-extract-17-21.tgz
